KERNEL_VER_NUM = 3.10.26

CC               = $(CROSS_COMPILE)gcc
CCC              = $(CROSS_COMPILE)g++
CPP              = $(CROSS_COMPILE)g++
CXX              = $(CROSS_COMPILE)c++
STRIP            = $(CROSS_COMPILE)strip
LD               = $(CROSS_COMPILE)g++
AS               = $(CROSS_COMPILE)as
AR               = $(CROSS_COMPILE)ar
NM               = $(CROSS_COMPILE)nm
RANLIB           = $(CROSS_COMPILE)ranlib
CC_FLAG = -mfloat-abi=softfp -mfpu=vfp -g

LD_LIBRARY_PATH =
MAKE = make
JOBS := $(shell grep processor /proc/cpuinfo | wc -l)

HOST_GCC=/usr/bin/gcc

CLFS_HOST=i686-pc-linux-gnu

GLIBC_BUILD  = ${CLFS_ROOT}/build
GLIBC_SOURCE = ${CLFS_ROOT}/glibc-2.18

GCC_FP_OPTION = -mfpu=vfp -mfloat-abi=softfp


GLIBC_CFLAGS = -march=armv7-a -mtune=cortex-a9 -mthumb-interwork ${GCC_FP_OPTION}
CLFS_TARGET= ${OSS_HOST}

.PHONY: all

all:
	echo "libc_cv_forced_unwind=yes" > config.cache
	echo "libc_cv_c_cleanup=yes" >> config.cache
	echo "libc_cv_arm_tls=yes" >> config.cache
	echo "libc_cv_gnu89_inline=yes" >> config.cache
	BUILD_CC=${HOST_GCC} CC="${CROSS_COMPILE}gcc ${GLIBC_CFLAGS}" AR="${CROSS_COMPILE}ar rus" RANLIB="${CROSS_COMPILE}ranlib"
	${GLIBC_SOURCE}/configure \
		--prefix=${TAR_INSTALL_PATH} 		\
		--build=${CLFS_HOST} 			\
		--host=${CLFS_TARGET} 			\
		--target=${CLFS_TARGET} 		\
		--with-headers=${CLFS_ROOT}/headers/include \
		--with-tls 				\
		--with-__thread 			\
		--enable-sim 				\
		--enable-nptl 				\
		--enable-add-ons 			\
		--enable-kernel=${KERNEL_VER_NUM} 			\
		--disable-profile 			\
		--without-gd 				\
		--without-fp 				\
		--without-cvs 				\
		--cache-file=config.cache
	${MAKE} -j ${JOBS} -C ${GLIBC_BUILD}
	${MAKE} -C ${GLIBC_BUILD} install	
	
